Subject: RE: GIT for Microsoft Access projects

From: "Randall S. Becker" <[email-masked]>
Date: Mon, 8 Jun 2015 18:02:05 -0400

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Konstantin Khomoutov
> Sent: June 8, 2015 12:15 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: GIT for Microsoft Access projects
> 
> On Mon, 8 Jun 2015 9:45:17 -0500
> <[email-masked]> wrote:
> 
> [...]
> > My question is, will GIT work with MS access forms, queries, tables,
> > modules, etc?
> [...]
> 
> Git works with files.  So in principle it will work with *files*
> containing your MS access stuff.
> 
> But Git will consider and treat those files as opaque blobs of data.
> That is, you will get no "fancy diffing" like asking Git to graphically
> (or otherwise) show you what exact changes have been made to a
> particular form or query between versions X and Y of a given MS access
> document -- all it will be able to show you is commit messages
> describing those changes.
> 
> So... If you're fine with this setting, Git will work for you,
> but if not, it won't.
> 
> One last note: are you really sure you want an SCM/VCS tool to manage
> your files and not a document management system (DMS) instead?
> I mean stuff like Alfresco (free software by the way) and the like.

Consider also what you are specifically managing in MS Access. Are you
looking for management of configuration data, like settings, properties, and
such, or is this transactional or user-related. If managing
environment-specific content, it may be worth storing raw SQL INSERT
statements, with appropriate variable references, or export to XML/CSV, and
having those in git so that the purpose for configuration-like data can be
explained and diff'ed.